aboutsummaryrefslogtreecommitdiffstats
path: root/add-webapp
diff options
context:
space:
mode:
authorOlivier Thauvin <nanardon@mandriva.org>2006-06-17 17:55:36 +0000
committerOlivier Thauvin <nanardon@mandriva.org>2006-06-17 17:55:36 +0000
commitc0bec2faa684de0b31cb88ddfca33be89f8d0263 (patch)
treefda98abe69023d2d5350e786a13bc7ed12692059 /add-webapp
parentecbb11da39f6fd97176c2493155709a5fa280390 (diff)
downloadrpm-helper-c0bec2faa684de0b31cb88ddfca33be89f8d0263.tar
rpm-helper-c0bec2faa684de0b31cb88ddfca33be89f8d0263.tar.gz
rpm-helper-c0bec2faa684de0b31cb88ddfca33be89f8d0263.tar.bz2
rpm-helper-c0bec2faa684de0b31cb88ddfca33be89f8d0263.tar.xz
rpm-helper-c0bec2faa684de0b31cb88ddfca33be89f8d0263.zip
- add webapp helper (G. Rousse)
Diffstat (limited to 'add-webapp')
-rwxr-xr-xadd-webapp15
1 files changed, 15 insertions, 0 deletions
diff --git a/add-webapp b/add-webapp
new file mode 100755
index 0000000..6468280
--- /dev/null
+++ b/add-webapp
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+if [ $# != 2 ]; then
+ echo "usage: $0 <pkg name> <number installed>" 1>&2
+ exit 1
+fi
+
+pkg=$1 # name of the package
+num=$2 # number of packages installed
+
+if [ $num = 1 ]; then
+ # installation: restart web server if running,
+ # as there is a new configuration file
+ /sbin/service httpd condrestart
+fi